package com.ruoyi.common.utils.jPush;


/**
 * 极光拓展字段不能传输object，限制了类型，所以封装更好些
 * 此类为极光推送拓展字段封装类（目前字段是暂定，你也可以拓展）
 *
 * @author juzi
 * @date 2022-12-2
 */
public class JPushVO {
    private Long id;

    private String userName;

    private String content;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    @Override
    public String toString() {
        return "JPushVO{" +
                "id=" + id +
                ", userName='" + userName + '\'' +
                ", content='" + content + '\'' +
                '}';
    }
}

